import React from 'react';
type SizeType<K extends 'xs' | 'sm' | 'md' | 'lg', T> = {
    [P in K]: T;
};
type SizesType = SizeType<'xs' | 'sm' | 'md' | 'lg', {
    width: number;
    height: number;
}>;
export type IconPropsType = React.DetailedHTMLProps<React.HTMLAttributes<HTMLElement>, HTMLElement> & {
    iconName: string;
    colorName: string;
    size: SizesType;
};
export {};
