"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.theme = void 0;
var _index = require("../tokens/index.js");
var _colors = require("./colors.js");
var _effects = require("./effects.js");
var _spacing = require("./spacing.js");
var _typography = require("./typography.js");
var _components = require("./components.js");
const theme = {
  colors: _colors.colors,
  effects: _effects.effects,
  spacing: _spacing.spacing,
  typography: _typography.typography,
  components: _components.components,
  tokens: _index.tokens
};
exports.theme = theme;